# Contributing to KeeWeb

Thanks for taking the time to contribute! :gift:

There are different ways to help the project, you will find a summary here.

## Code of conduct

This project and everyone participating in it is governed by the [KeeWeb Code of Conduct](https://github.com/keeweb/keeweb/blob/master/.github/CODE_OF_CONDUCT.md#readme). 
By participating, you are expected to uphold this code. Please report unacceptable behavior to antelle.net@gmail.com.

## Issues

First, let's check if it's [already there](https://github.com/keeweb/keeweb/issues).
Perhaps, someone has already reported it?

[Click here](https://github.com/keeweb/keeweb/issues/new/choose) to create a new issue.
When creating issues, please answer some questions asked on that page.
They will help to understand, reproduce, and fix your issue.

## Vulnerabilities

We would appreciate [responsible disclosure](https://en.wikipedia.org/wiki/Responsible_disclosure).
If you would like to report a vulnerability, the preferred way to do so is [contacting the developer directly](antelle.net@gmail.com).

## Questions, great ideas, etc...

You can [create an issue](https://github.com/keeweb/keeweb/issues/new/choose) to discuss any topic.
Indeed, questions on that page are not applicable in this case.

## Development

We don't accept (and in forseeable future, we won't) anyone as a project collaborator directly. 
Instead, the code should be contributed via pull requests. To get started with development, take a look at these pages:
- [Architecture](https://github.com/keeweb/keeweb/wiki/Architecture)
- [Engineering](https://github.com/keeweb/keeweb/wiki/Engineering)
- [Unsupported Features](https://github.com/keeweb/keeweb/wiki/Unsupported%20Features)
- [Pull Request Guidelines](https://github.com/keeweb/keeweb/blob/master/.github/PULL_REQUEST_TEMPLATE.md#readme)

## Pull requests

Please follow [this guide](https://github.com/keeweb/keeweb/blob/master/.github/PULL_REQUEST_TEMPLATE.md#readme).

## Docs (Wiki pages)

KeeWeb has [Wiki pages](https://github.com/keeweb/keeweb/wiki), however it's not possible to contribute with pull requests.
If you would like to improve it, please [open an issue](https://github.com/keeweb/keeweb/issues/new/choose) and submit your changes in Markdown format.

## Donations

There are two ways of donating:  
- join as backer on [OpenCollective](https://opencollective.com/keeweb#support);
- sponsor the developer directly on [GitHub](https://github.com/sponsors/antelle).

Please note: donation does not imply any type of service contract.  

## Translations

All of KeeWeb translations are contributed by community. To improve a translation or add a missing one,
join our project on [OneSky](https://keeweb.oneskyapp.com).
